corda / net.corda.core.serialization / CordaClassResolver

# CordaClassResolver

`class CordaClassResolver : DefaultClassResolver`

### Constructors

<init> | `CordaClassResolver(whitelist: ClassWhitelist)`

### Properties

whitelist | `val whitelist: ClassWhitelist`

### Functions

disableWhitelist | `fun disableWhitelist(): Unit`
enableWhitelist | `fun enableWhitelist(): Unit`
getRegistration | `fun getRegistration(type: Class<*>): Registration?` Returns the registration for the specified class, or null if the class is not registered.
registerImplicit | `fun registerImplicit(type: Class<*>): Registration`